Toolkit 설정 - AWS Toolkit for Eclipse

기계 번역으로 제공되는 번역입니다. 제공된 번역과 원본 영어의 내용이 상충하는 경우에는 영어 버전이 우선합니다.

Toolkit 설정

이 단원에서는 Toolkit for Eclipse 설치 또는 업그레이드 방법을 설명합니다.

Prerequisites

Toolkit for Eclipse에는 다음 사전 조건이 있습니다.

  • Amazon Web Services Services의 계정— 를 확인하려면AWS계정, 로 이동AWS홈 페이지를 클릭하고지금 가입하기. 가입하면 에서 제공하는 모든 서비스를 사용할 수 있습니다.AWS.

  • 지원되는 운영 체제— Toolkit for Eclipse 툴킷은 Windows, Linux, macOS 또는 Unix에서 지원됩니다.

  • Java 1.8

  • 자바 개발자를 위한 이클립스 IDE 4.2 이상— Toolkit for Eclipse 툴킷을 최신 버전으로 유지하려고 시도합니다.Eclipse 다운로드 페이지.

    참고

    Eclipse는 다양한 다운로드를 제공합니다. 를 설치하는 것이 좋습니다.엔터프라이즈 자바 개발자를 위한 이클립스 IDE, 여기에는 다음을 포함합니다.이클립스 웹 툴 플랫폼Elastic Beanstalk,이클립스 데이터 툴 플랫폼Amazon SimpleDB 기능에 필요하며Eclipse EGit, 그리고M2이클립스. 다른 버전의 Eclipse를 설치하는 경우 해당 기능을 지원하는지(또는 제공된 링크를 사용하여 설치했는지) 확인하십시오.

Toolkit for Eclipse 설치

를 설치하려면AWSToolkit for Eclipse

  1. Eclipse 내에서 도움말을 클릭한 후 Install New Software(새 소프트웨어 설치)를 클릭합니다.

  2. 에서작업상자, 유형https://aws.amazon.com/eclipse를 입력하고Enter.

  3. 설치하려는 Eclipse의 구성 요소를 선택합니다. 모두 선택을 클릭하여 모든 구성 요소를 한 번에 설치합니다.

    참고
    • AWSToolkit for Eclipse 코어(에서AWS핵심 관리 도구섹션) 은필수다른 모든 구성 요소는 선택 사항입니다.

    • 아마존 RDS 또는 Amazon SimpleDB 관리자를 지원하려면이클립스 데이터 툴 플랫폼(DTP) 이 설치되어 있습니다. DTP는 기본적으로 Eclipse의 "Java EE Developers" 버전과 함께 설치되거나 별도로 설치할 수 있습니다.

  4. 선택했으면 다음(또는 완료)를 클릭하여 설치를 완료합니다.

Toolkit for Eclipse를 설정했으면구성AWS자격 증명.

참고

선택한 옵션 및 요인(네트워크 속도, 서버 지연 시간, 시스템 성능 등)에 따라 설치가 완료되는 데 최대 30분이 걸릴 수 있습니다.

Toolkit for Eclipse 업그레이드

Toolkit for Eclipse를 업그레이드하거나 다시 설치하려면Toolkit 설치.

일부 Eclipse 버전(특히 MarsNeon)은 Oomph 플러그인의 이전 버전 버그로 인해 최신 아티팩트를 가져오지 못할 수 있습니다. 이 문제를 해결하려면 다음과 같이 하십시오.

  1. 를 사용하고 있는지 확인합니다.https://aws.amazon.com/eclipse/site.xmlToolkit for Eclipse 업데이트 사이트

  2. ~/.eclipse/org.eclipse.oomph.p2/cache/ 디렉터리를 삭제하여 캐시된 콘텐츠를 삭제합니다.

  3. 최신 버전의 Oomph(Eclipse 설치 프로그램)를 설치합니다.